
byte fadeoff_map(long now, long start_millis, byte start_brightness_index, byte BS, byte enable_velocity_sensitive_sustain)
{
  
  long brightness_index;

  if (velocity_sensitive_sustain && enable_velocity_sensitive_sustain)
  {
  brightness_index = start_brightness_index - ((now - start_millis) >> BS); // 255, 510, 1020, etc.
  }
  
  else
  {
  brightness_index = start_brightness_index - (((start_brightness_index * (now - start_millis)) >> 8 ) >> BS);  // 256, 512, 1024, etc.
  }
  
  if (brightness_index > 0) {return (byte)(brightness_index);}
  else {return 0;}
  
}


